Update Webhook
curl --request PUT \
--url https://{tenant}/api/hooks/{hookId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"header_map": {
"another-value": "somevalue",
"secret": "superscretkey"
},
"method": "POST",
"name": "Update WebHook Name",
"target_path": "https://httpbin.org/v2/changed-expired-keys"
}
'import requests
url = "https://{tenant}/api/hooks/{hookId}"
payload = {
"header_map": {
"another-value": "somevalue",
"secret": "superscretkey"
},
"method": "POST",
"name": "Update WebHook Name",
"target_path": "https://httpbin.org/v2/changed-expired-keys"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
header_map: {'another-value': 'somevalue', secret: 'superscretkey'},
method: 'POST',
name: 'Update WebHook Name',
target_path: 'https://httpbin.org/v2/changed-expired-keys'
})
};
fetch('https://{tenant}/api/hooks/{hookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Message": "Hook updated",
"Meta": null,
"Status": "OK"
}{
"Message": "Webhook not found.",
"Meta": null,
"Status": "Error"
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "Request body malformed.",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to read response body, body empty.",
"Meta": null,
"Status": "Error"
}Webhooks
Update Webhook
Update a web hook using its ID. The webhook method and target_path fields are required in the request body when updating. Note the original webhook data will be completely replaced with the new update request object(so if for example you don’t send the name or webhook_id fields in your request body those fields will be updated to empty string even if they existed in your original webhook object.)
PUT
/
api
/
hooks
/
{hookId}
Update Webhook
Authorizations
The Tyk Dashboard API Access Credentials
Path Parameters
ID of the webhook to update
Body
application/json
Was this page helpful?
⌘I